SPI_GETTYPEID(3)

NAME
SPI_gettypeid - return the data type OID of the specified column

SYNOPSIS

Oid SPI_gettypeid(TupleDesc rowdesc, int colnumber)

DESCRIPTION

SPI_gettypeid returns the OID of the data type of the specified column.

ARGUMENTS

TupleDesc rowdesc
    input row description

int colnumber
    column number (count starts at 1)

RETURN VALUE

The OID of the data type of the specified column or InvalidOid on error. On error, SPI_result is set to SPI_ERROR_NOATTRIBUTE.